FEDMSG-CONFIG(1)

NAME
fedmsg-config - query or print the parsed fedmsg configuration

SYNOPSIS
fedmsg-config [--query CONFIG_KEY] [--config-filename CONFIG_FILENAME] [--disable-defaults]

fedmsg-config [-h|--help]

DESCRIPTION
Query or print the parsed fedmsg-config.

fedmsg-config is a simple utility that prints out the contents of the fully parsed fedmsg config as a JSON dictionary. It also allows the user to query a specific key of the config.

QUERY OPERATIONS
The tool allows you to query a specific configuration key with the --query CONFIG_KEY option.

In query mode, the configuration key has the following syntax: fedmsg-config --query foo.bar.baz prints the value of config["foo"]["bar"]["baz"] to the standard output.

If the configuration value is an atomic value, it is printed directly. If the value is a list, each item of that list gets printed line by line. Else, the value is printed as a JSON dictionary.

OPTIONS

-h, --help
    Print an help message and exit

--query CONFIG_KEY
    Dump a given key from the parsed config instead of dumping all of it.

--config-filename CONFIG_FILENAME
    Config file to use.

--disable-defaults
    Disable the configuration defaults.

AUTHORS

The Fedora Infrastructure team <messaging-sig@lists.fedoraproject.org>
    Wrote the fedmsg software.

Nicolas Dandrimont <olasd@debian.org>
    Wrote this manpage for the Debian system.

COPYRIGHT
Copyright © 2014 Nicolas Dandrimont

This manual page was written for the Debian system (and may be used by others).

You can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

On Debian systems, a copy of the license can be found in the /usr/share/common-licenses/LGPL-2.1 file.